%define module  Class-Data-Inheritable
%define name    perl-%{module}
%define version 0.08
%define release %mkrel 1

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Inheritable, overridable class data
License: 	GPL or Artistic
Group: 	    Development/Perl
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Class/%{module}-%{version}.tar.gz
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
Class::Data::Inheritable is for creating accessor/mutators to class data. That
is, if you want to store something about your class as a whole (instead of
about a single object). This data is then inherited by your subclasses and can
be overriden.

%prep
%setup -q  -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorlib}/Class
%{_mandir}/*/*



%changelog
* Sat Jan 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2008.1
+ Revision: 158295
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.06-1mdv2008.0
+ Revision: 19780
- 0.06


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdv2007.0
- New version 0.05
- spec cleanup

* Mon Sep 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-1mdk
- New release 0.04

* Thu Sep 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.02-7mdk
- rebuild

